<?php defined('SYSPATH') or die('No direct script access.');

class Model_Grades extends Model
{
    public static function getGrades() {
        $sql = "CALL `GetGrades`();";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    public static function toArray() {
        $grades = self::GetGrades();
        $list = [];

        foreach ($grades as $row) {
            if ($row['Degree'] == 'bachelor' || $row['Degree'] == 'specialist')
                $row['Title'] = 'Курс ' . $row['Num'];
            if ($row['Degree'] == 'master')
                $row['Title'] = 'Магистратура ' . $row['Num'];
            $list[] = $row;
        }

        return $list;
    }

    public static function getDegreeType($degree) {
        switch ($degree) {
            case 'Бакалавр':
                return 'bachelor';
            case 'Магистр':
                return 'master';
            case 'Специалист':
                return 'specialist';
            default:
                return $degree;
        }
    }

    /** @return array */
    public static function groupByDegree() {
        $list = [];

        foreach (self::getGrades() as $row) {
            $degree = $row['Degree'];
            $list[$degree][] = $row;
        }

        return $list;
    }
}
